/// <reference types="node" />
import webpack from "webpack";
export interface Options {
    stream?: NodeJS.WriteStream;
    pattern?: string;
    pattern_no_stderr?: string;
    update_render?: boolean;
    clear?: boolean;
    clear_on_update?: boolean;
    stderr_check?: boolean;
    text?: string;
}
declare class ProgressOraPlugin {
    private pattern;
    private pattern_no_stderr;
    private update_render;
    private clear;
    private clear_on_update;
    private pb;
    private enable;
    private stderr_check;
    private text;
    private spinner;
    private stream;
    constructor(options?: Options);
    apply(compiler: webpack.Compiler): webpack.ProgressPlugin | undefined;
}
export default ProgressOraPlugin;
export { ProgressOraPlugin };
